Name:           kde-plasma-lancelot
Version:        1.0.3
Release:        1%{?dist}
Summary:        An alternative application launcher

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kde-apps.org/content/show.php/Lancelot?content=87914
Source0:        http://downloads.sourceforge.net/lancelot-menu/lancelot-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kde-filesystem >= 4
BuildRequires:  kdelibs4-devel >= 4.1
BuildRequires:  kdebase-workspace-devel >= 4.1
BuildRequires:  python
BuildRequires:  cmake

%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
An alternative application launcher.

%prep
%setup -qn lancelot

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd


make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}

# don't include devel stuff
rm -fr %{buildroot}%{_kde4_libdir}/liblancelot.so %{buildroot}%{_includedir}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/lancelot
%{_kde4_libdir}/kde4/plasma_applet_lancelot_launcher.so
%{_kde4_libdir}/kde4/plasma_applet_lancelot_part.so
%{_kde4_libdir}/liblancelot.so.0
%{_kde4_libdir}/liblancelot.so.0.5.0
%{_kde4_datadir}/dbus-1/services/org.kde.lancelot.service
%{_kde4_datadir}/mime/packages/lancelotpart-mime.xml
%{_kde4_datadir}/kde4/services/plasma-applet-lancelot-launcher.desktop
%{_kde4_datadir}/kde4/services/plasma-applet-lancelot-part.desktop
%{_kde4_iconsdir}/hicolor/*/apps/lancelot.png
%{_kde4_iconsdir}/hicolor/*/apps/lancelot-part.png
%{_kde4_appsdir}/desktoptheme/default/lancelot/


%changelog
* Sun Sep 14 2008 Than Ngo <than@redhat.com> 1.0.3-1
- 1.0.3
- drop cmake patch merged in 1.0.3

* Thu Sep 11 2008 Than Ngo <than@redhat.com> 1.0.2-2
- use %%version

* Thu Sep 11 2008 Than Ngo <than@redhat.com> 1.0.2-1
- 1.0.2

* Wed Sep 03 2008 Than Ngo <than@redhat.com> 1.0-1
- 1.0

* Tue Aug 19 2008 Florian Sievert <info@floriansievert.de> - svn20080819
- update version to fix lancelot part

* Mon Aug 18 2008 Florian Sievert <info@floriansievert.de> - svn20080818
- update version to > M2 1/2

* Tue Aug 05 2008 Florian Sievert <info@floriansievert.de> - svn20080805
- initial version
